import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/common/buttons/default_button.dart';
import 'package:syncrow_web/utils/style.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class SearchResetButtons extends StatelessWidget {
  const SearchResetButtons({
    super.key,
    required this.onSearch,
    required this.onReset,
  });

  final VoidCallback onSearch;
  final VoidCallback onReset;

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            const SizedBox(height: 25),
            Center(
              child: Container(
                height: 43,
                width: 100,
                decoration: containerDecoration,
                child: Center(
                  child: DefaultButton(
                    onPressed: onSearch,
                    borderRadius: 9,
                    child: const Text('Search'),
                  ),
                ),
              ),
            ),
          ],
        ),
        const SizedBox(width: 10),
        Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            const SizedBox(height: 25),
            Center(
              child: Container(
                height: 43,
                width: 100,
                decoration: containerDecoration,
                child: Center(
                  child: DefaultButton(
                    backgroundColor: ColorsManager.whiteColors,
                    borderRadius: 9,
                    child: Text(
                      'Reset',
                      style: Theme.of(context)
                          .textTheme
                          .bodySmall!
                          .copyWith(color: Colors.black),
                    ),
                    onPressed: onReset,
                  ),
                ),
              ),
            ),
          ],
        ),
      ],
    );
  }
}
